<simulator-page *ngIf='vm$ | async as vm'>
  <div class='bg-white dark:bg-gray-800 px-4 py-6 sm:p-6 rounded-2xl'>
    <simulator-alert *ngIf='vm.error' class='mb-5' title='Error' [subtitle]='vm.error' logo='warning'
                     colorLogo='text-rose-500'></simulator-alert>
    <!-- Tiles -->
    <div class='mt-2 grid grid-cols-1 gap-5 sm:grid-cols-2 md:grid-cols-2 lg:grid-cols-5'>
      <simulator-tiles title='MXC Price' [value]='vm.mxc'
                       currency='$'
                       class='animate__animated animate__duration-2s animate__fadeInDown'
                       logo='https://d33wubrfki0l68.cloudfront.net/2e4761581d2d2b2e228bd25e1550fae994f140a2/e92d6/images/mxc_logo-social.svg'
                       link='https://www.biki.com/en_US/trade/MXC_USDT'></simulator-tiles>
      <simulator-tiles title='DHX Price' [value]='vm.dhx'
                       currency='$'
                       class='animate__animated animate__duration-2s animate__fadeInDown'
                       logo='https://s2.coinmarketcap.com/static/img/coins/200x200/6771.png'
                       link='https://www.biki.com/en_US/trade/DHX_USDT'></simulator-tiles>
      <simulator-tiles title='Your mPower' icon='cube'
                       class='animate__animated animate__duration-2s animate__fadeInDown'
                       [value]='{buy: vm.lastMining?.orgMiningPower, rose: null}'></simulator-tiles>
      <simulator-tiles title='DHX Bonded' icon='cube'
                       class='animate__animated animate__duration-2s animate__fadeInDown'
                       [value]='{buy:vm.dhxBondedInfo?.dhxBonded, rose: null}'></simulator-tiles>
      <simulator-tiles title='mPower per DHX' icon='cube'
                       class='animate__animated animate__duration-2s animate__fadeInDown'
                       [value]='{buy:vm?.mPowerPerDHX, rose: null}'></simulator-tiles>
    </div>
    <!-- End Of Tiles -->
    <!-- Currency Analysis -->
    <h2 class='font-bold mb-8 mt-8'>Currency Analysis (1 week)</h2>
    <div class='mt-8 text-center grid grid-cols-1 gap-5 md:grid-cols-1 sm:grid-cols-1 lg:grid-cols-2'>
      <div class='flex-1 mt-10'>
        <ngx-charts-gauge
          class='inline-block'
          [view]='view'
          [max]='+vm.dhx?.stats?.max'
          [scheme]='{domain: ["#FF4564", "#1D9BF4", "#5E61E1"] }'
          [results]="[
        {name: 'DHX Current Price', value: +vm.dhx?.buy},
        {name: 'DHX Mean Price',value: +vm.dhx?.stats?.mean},
        {name: 'DHX Min Price',value: +vm.dhx?.stats?.min}
        ]"
          [valueFormatting]='formatPieChartValue'
          [showText]='false'
          legendTitle=''
          [legend]='true'
          legendPosition='below'
        >
        </ngx-charts-gauge>
        <simulator-market-indicator *ngIf='vm.dhx'
                                    [isBullish]='vm.dhx.stats.isBullish'></simulator-market-indicator>
      </div>
      <div class='flex-1 mt-10'>
        <ngx-charts-gauge
          class='inline-block'
          [view]='view'
          legendTitle=''
          [max]='+vm.mxc?.stats?.max'
          [legend]='true'
          [valueFormatting]='formatPieChartValue'
          [showText]='false'
          [scheme]='{domain: ["#FF4564", "#06BCBE", "#5E61E1"] }'
          [results]="[
        {name: 'MXC Current Price',value: +vm.mxc?.buy},
        {name: 'MXC Mean Price',value: +vm.mxc?.stats?.mean},
        {name: 'MXC Min Price',value: +vm.mxc?.stats?.min},
        ]"
          legendPosition='below'
        >
        </ngx-charts-gauge>
        <simulator-market-indicator *ngIf='vm.mxc'
                                    [isBullish]='vm.mxc.stats.isBullish'></simulator-market-indicator>
      </div>
    </div>
    <!-- End of Currency Analysis -->
    <!-- Devices -->
    <h2 class='font-bold mb-8 mt-10'>M2 Pro Miners</h2>
    <div class='mt-2 grid grid-cols-1 gap-5 sm:grid-cols-1 lg:grid-cols-2'>
      <div
        class='m-auto mt-8 animate__animated animate__rotateIn border-dashed border-4 border-grey-900 h-64 w-64
              text-white text-center font-extrabold flex items-center justify-center rounded-full'>
        <img class='animate__animated animate__fadeIn animate__delay-1s'
             src='https://firebasestorage.googleapis.com/v0/b/simulator-mxc.appspot.com/o/public%2Fm2pro.png?alt=media&token=5d135345-efd5-4c42-8ef5-de6f05b97a99'
             width='150px'
             alt='m2 pro miner'>
      </div>
      <div class='max-w-sm'>
        <p *ngIf='vm.device?.totalCount'
           class='flex text-indigo-500 mt-4 text-center font-semibold animate__animated animate__fadeIn animate__delay-2s'>
          <span class='py-1 px-2 border-dashed border-2 border-indigo-500'>{{vm.device?.totalCount}}</span>
          <span class='flex-1 text-right ml-4'>m2 Pro Miner Active</span>
        </p>
        <p *ngIf='vm.device?.totalFrames'
           class='flex text-indigo-500 mt-4 text-center font-semibold animate__animated animate__fadeIn animate__delay-2s'>
          <span class='py-1 px-2 border-dashed border-2 border-indigo-500'>{{vm.device?.totalFrames}}</span>
          <span class='flex-1 text-right ml-4'>Frames received today</span>
        </p>
      </div>
    </div>
    <!-- End Of Devices -->
    <!-- Earnings -->
    <h2 class='font-bold mb-8 mt-10'>Todays' Earnings</h2>
    <div class='mt-10 text-center grid grid-cols-1 gap-5 sm:grid-cols-1 lg:grid-cols-1'>
      <ngx-charts-advanced-pie-chart
        [scheme]='{domain: ["#1D9BF4", "#06BCBE", "#F78F17"] }'
        [valueFormatting]='formatPieChartValue'
        [results]="[
          {name: 'DHX',value: +vm.lastMining?.earning},
          {name: 'MXC',value: +vm.lastMiningMXC?.miningsTotalUSD},
           {name: 'BTC Earned',value:0}]"
        [gradient]='true'
      >
      </ngx-charts-advanced-pie-chart>
    </div>
    <!-- End of Earnings -->
    <!-- MXC Stacked -->
    <h2 class='font-bold mt-10'>Your MXC Stacked</h2>
    <div class='mt-10'>
      <dl class='mt-5 grid grid-cols-1 gap-5 sm:grid-cols-2 lg:grid-cols-4'>
        <simulator-result-simulator label="Today's Mining" [value]='vm.lastMiningMXC?.miningsTotal'
                                    icon='lightning'
                                    [showHelper]='false'
                                    class='animate__animated animate__duration-2s animate__fadeIn'></simulator-result-simulator>
        <simulator-result-simulator label='Expecting earnings'
                                    [value]="vm.lastMiningMXC?.miningsTotalUSD ? vm.lastMiningMXC?.miningsTotalUSD+'$' : 0"
                                    icon='dollar'
                                    [showHelper]='false'
                                    class='animate__animated animate__duration-2s animate__fadeIn'></simulator-result-simulator>
        <simulator-result-simulator label='Total Amount Stacked' [value]='vm.mxcStacking?.amount'
                                    icon='lightning'
                                    [showHelper]='false'
                                    class='animate__animated animate__duration-2s animate__fadeIn'></simulator-result-simulator>
        <simulator-result-simulator label='Wallet' [value]='vm.mxcWallet?.balance'
                                    icon='dollar'
                                    [showHelper]='false'
                                    class='animate__animated animate__duration-2s animate__fadeIn'></simulator-result-simulator>
      </dl>
    </div>
    <!-- End Of MXC Stacked -->
    <!-- DHX Stacked -->
    <h2 class='font-bold mt-10'>DHX Results</h2>
    <div class='mt-10'>
      <dl class='mt-5 grid grid-cols-1 gap-5 sm:grid-cols-2 lg:grid-cols-4'>
        <simulator-result-simulator label="Today's Mining" [value]='vm.lastMining?.orgDhxAmount'
                                    [subvalue]='vm.lastMining?.orgDhxAmountValue'
                                    icon='lightning'
                                    class='animate__animated animate__duration-2s animate__fadeIn'></simulator-result-simulator>
        <simulator-result-simulator label='Expecting earnings'
                                    [value]="vm.lastMining?.earning ? vm.lastMining?.earning +'$' : 0"
                                    icon='dollar'
                                    class='animate__animated animate__duration-2s animate__fadeIn'></simulator-result-simulator>
        <simulator-result-simulator label='Daily mining Limit' [value]='vm.lastMining?.orgDhxLimit'
                                    icon='calendar'
                                    class='animate__animated animate__duration-2s animate__fadeIn'></simulator-result-simulator>
        <simulator-result-simulator label='Optimal' [value]='vm.lastMining?.optimality'
                                    icon='scale'
                                    [showHelper]='true'
                                    class='animate__animated animate__duration-2s animate__fadeIn'></simulator-result-simulator>
      </dl>
    </div>
    <!-- End Of DHX Stacked -->
  </div>
</simulator-page>
